net.sourceforge.pmd

## Interface PMD.ProgressMonitor

- Enclosing class:
    PMD

      public static interface PMD.ProgressMonitor

  A callback that would be implemented by IDEs keeping track of PMD's progress as it evaluates a set of files.
  Author:
    Brian Remedios

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `status(int total, int totalDone)` A status update reporting on current progress.

- - ### Method Detail

    - #### status

          boolean status(int total,
                       int totalDone)

      A status update reporting on current progress. Implementers will return true if it is to continue, false otherwise.
      Parameters:
        `total` -
        `totalDone` -
      Returns:

Copyright © 2002-2013 InfoEther. All Rights Reserved.